<?php
/**
 * Template Name: Custom home page
 */
get_header(); ?>

<main id="maincontent" role="main">
  <?php do_action('veterinary_pet_care_above_slider_section'); ?>

  <?php if( get_theme_mod('veterinary_pet_care_slider_hide_show') != ''){ ?>
    <section id="slider">
      <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel"> 
        <?php $content_pages = array();
          for ( $count = 1; $count <= 4; $count++ ) {
            $mod = intval( get_theme_mod( 'veterinary_pet_care_slidersettings_page' . $count ));
            if ( 'page-none-selected' != $mod ) {
              $content_pages[] = $mod;
            }
          }
          if( !empty($content_pages) ) :
          $args = array(
              'post_type' => 'page',
              'post__in' => $content_pages,
              'orderby' => 'post__in'
          );
          $query = new WP_Query( $args );
          if ( $query->have_posts() ) :
            $i = 1;
        ?>     
        <div class="carousel-inner" role="listbox">
          <?php  while ( $query->have_posts() ) : $query->the_post(); ?>
          <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
            <img role="img" src="<?php the_post_thumbnail_url('full'); ?>"/>
            <div class="carousel-caption">
              <div class="inner_carousel">
                <h2><?php the_title();?></h2> 
                <p><?php $excerpt = get_the_excerpt(); echo esc_html( veterinary_pet_care_string_limit_words( $excerpt,25 ) ); ?></p>
                <div class ="read-more">
                  <a href="<?php the_permalink(); ?>"><?php esc_html_e('READ MORE','veterinary-pet-care'); ?></a>
                </div>                    
              </div>
            </div>
          </div>
          <?php $i++; endwhile; 
          wp_reset_postdata();?>
        </div>
        <?php else : ?>
          <div class="no-postfound"></div>
          <?php endif;
          endif;?>
          <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"><i class="fas fa-angle-left"></i></span>
          </a>
          <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"><i class="fas fa-angle-right"></i></span>
          </a>
      </div>
      <div class="clearfix"></div>
    </section> 
  <?php }?>

  <?php do_action('veterinary_pet_care_below_slider_section'); ?>

  <?php if( get_theme_mod('veterinary_pet_care_services_title') != '' || get_theme_mod('veterinary_pet_care_services_category') != ''){ ?>
    <section id="our-services">
      <div class="container">
        <?php if( get_theme_mod('veterinary_pet_care_services_title') != ''){ ?>
          <h3><i class="fas fa-paw"></i><?php echo esc_html(get_theme_mod('veterinary_pet_care_services_title','')); ?></h3>
          <hr class="service-title-border">
        <?php }?>
        <div class="row">
          <?php 
            $catData=  get_theme_mod('veterinary_pet_care_services_category');
            if($catData){
            $page_query = new WP_Query(array( 'category_name' => esc_html( $catData ,'veterinary-pet-care')));?>
              <?php while( $page_query->have_posts() ) : $page_query->the_post(); ?>
                <div class="col-lg-6 col-md-6">
                  <div class="service-content">
                    <div class="row">
                      <div class="col-lg-4 col-md-4">
                        <img role="img" src="<?php the_post_thumbnail_url('full'); ?>"/>
                      </div>
                      <div class="col-lg-8 col-md-8">
                        <h4><a href="<?php echo esc_url( get_permalink() );?>"><?php the_title();?></a></h4>
                        <hr class="service-border">
                        <p><?php $excerpt = get_the_excerpt(); echo esc_html( veterinary_pet_care_string_limit_words( $excerpt,8 ) ); ?></p>
                      </div>
                    </div>
                  </div>
                </div>
                <?php endwhile;
              wp_reset_postdata();
            } ?>
        </div>
      </div>
    </section>
  <?php }?>

  <?php do_action('veterinary_pet_care_after_service_section'); ?>

  <div class="container">
    <?php while ( have_posts() ) : the_post(); ?>
      <?php the_content(); ?>
    <?php endwhile; // end of the loop. ?>
  </div>
</main>

<?php get_footer(); ?>